<?php
function GetCategoryPathString($id_category, $separator = '|||') {
	global $cache;
	if(array_key_exists($id_category, $cache['category_path']))
		return $cache['category_path'][$id_category];
	global $id_lang;
	$category = New Category($id_category, $id_lang);
	$parent_categories_array = array_reverse($category->getParentsCategories());
	$string = "";
	$i = 0;
	foreach($parent_categories_array as $parent_category){
		if($parent_category['is_root_category'])
			continue;
		$i++;
		$string .= ($i != 1 ? $separator : '').trim($parent_category['name']);
	}
	$cache['category_path'][$id_category] = $string;
	return $string;
}
function GetBrandName($id_manufacturer) {
	global $cache;
	if(array_key_exists($id_manufacturer, $cache['manufacturer']))
		return $cache['manufacturer'][$id_manufacturer];
	global $id_lang;
	$manufacturer = New Manufacturer($id_manufacturer, $id_lang);
    $cache['manufacturer'][$id_manufacturer] = $manufacturer->name;
	return $manufacturer->name;
}


?>